Bug 244078

Summary: databases/galera26: Should depend on net/rsync
Product: Ports & Packages Reporter: Vincent Milum Jr <freebsd>
Component: Individual Port(s)Assignee: Bernard Spil <brnrd>
Status: Closed FIXED    
Severity: Affects Many People CC: brnrd, devel, joneum, koobs, rodrigo, teemu.ollakka
Priority: --- Flags: koobs: merge-quarterly+
Version: Latest   
Hardware: Any   
OS: Any   

Description Vincent Milum Jr 2020-02-12 18:50:22 UTC
Galera uses rsync as its primary/default form of file transfer between nodes, so it should probably depend on net/rsync also being available on the system.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-10 03:22:02 UTC
@Maintainer (Teemu) Could you please update either the galera port MAINTAINER lines to match Bugzilla account email address, or create a Bugzilla account (or update the current bugzilla account email) with the current MAINTAINER value. 

This ensures that our AutoAssigner can correctly notify maintainers for new issues for poyrts they maintain
Comment 2 Teemu Ollakka 2020-06-22 08:26:09 UTC
Galera library itself does not perform state snapshot transfer and does not contain any SST scripts. The state transfer scripts are part of the DBMS engine packages, currently mariadb104-server for galera26, and Galera itself does not have any knowledge how the state transfer is implemented.

Therefore I believe that the correct package to have rsync as a dependency would be mariadb104-server.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-22 08:30:44 UTC
^Triage: Request feedback from mariadb port maintainer
Comment 4 Bernard Spil freebsd_committer 2020-07-22 09:48:38 UTC
Does this only occur on the MariaDB ports, or also on MySQL?
Comment 5 Jochen Neumeister freebsd_committer 2020-07-27 07:51:36 UTC
(In reply to Bernard Spil from comment #4)

The depend on net/rsync is missing - so I guess everywhere.
Comment 6 Bernard Spil freebsd_committer 2020-08-02 21:23:47 UTC
(In reply to Jochen Neumeister from comment #5)
Checking the source for galera26 and its pkg-plist, the dependency is in the MySQL/MariaDB ports, not in the galera ports
Comment 7 Vincent Milum Jr 2021-07-12 04:29:59 UTC
mariadb10x-server (3/4/5) all have rsync as a dependency now.

it is currently missing from mysql-server ports.

after some long thoughts on this subject, although "simplicity" would say add the dependency to galera, "correctness" says to add it to mariadb and mysql based on how its actually used.

if anyone wants rsync dependancy added to the mysql 5.7/8.0 ports, I'd suggest that become a new issue.

closing this one out as we've implemented the solution on the mariadb side, and decided not to implement it on the galera side at all.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-12 04:44:11 UTC
(In reply to Vincent Milum Jr from comment #7)

Was there an issue that resolved this for mariadb ports?

This issue as reported is for galera to receive the change, in which case the appropriate resolution is not accepted
Comment 9 Vincent Milum Jr 2021-07-12 04:54:16 UTC
(In reply to Kubilay Kocak from comment #8)

Its the interesting way that each of these ports interact with one-another. 

As stated above, technically, galera doesn't directly use rsync for SST. galera relies on the database software to handle SST, which would be mysql or mariadb. In mariadb, it now has the rsync dependency.

What was initially asked:
mariadb > galera > rsync

How its laid out now:
mariadb > galera
mariadb > rsync

So installing mariadb now includes both, but the way the tree is laid out better matches how each of the ports actually interact with one-another. In that sense, this is "fixed", just not by the way it was initially proposed.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-12 04:57:49 UTC
(In reply to Vincent Milum Jr from comment #9)

Was the issue resolved (fixed) by another issue? Would like to reference that issue and or commit and or committer if so.
Comment 11 Vincent Milum Jr 2021-07-12 05:21:26 UTC
(In reply to Kubilay Kocak from comment #10)

https://svnweb.freebsd.org/ports/head/databases/mariadb104-server/Makefile?r1=536142&r2=536143&
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-13 01:51:28 UTC
(In reply to Vincent Milum Jr from comment #11)

databases/mariadb104-server: Fix galera clustering

^Triage: Assign to committer that resolves and track merge